# Class RoundedBoxGeometry

#### Hierarchy

- BufferGeometry
  - RoundedBoxGeometry

- Defined in lib/plugins/OrientationPlugin/RoundedBoxGeometry.ts:3

##### Index

### Constructors

constructor

### Properties

parameters

## Constructors

### constructor

- new RoundedBoxGeometry(
  width: number,
  height: number,
  depth: number,
  radius: number,
  radiusSegments: number,
  ): RoundedBoxGeometry

  #### Parameters

  - width: number
  - height: number
  - depth: number
  - radius: number
  - radiusSegments: number

  #### Returns RoundedBoxGeometry

  Overrides THREE.BufferGeometry.constructor

  - Defined in lib/plugins/OrientationPlugin/RoundedBoxGeometry.ts:11

## Properties

### parameters

parameters: {
depth: number;
height: number;
radius: number;
radiusSegments: number;
width: number;
}

- Defined in lib/plugins/OrientationPlugin/RoundedBoxGeometry.ts:4